# ChangeLog for sys-apps/portage
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/portage/ChangeLog,v 1.113 2006/04/16 20:10:26 blubb Exp $

  16 Apr 2006; Simon Stelling <blubb@gentoo.org> portage-2.0.54.ebuild,
  portage-2.1_pre8-r5.ebuild:
  mention the portage handbook after merging; credits to antarus; bug 77345

*portage-2.1_pre8-r5 (14 Apr 2006)

  14 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre8-r5.ebuild,
  +files/2.1/pre8/1090_r3146_bug_129720_slot_collision.patch,
  +files/2.1/pre8/1100_r3143_lazy_autouse.patch.
  +files/2.1/pre8/1110_r3147_bug_129852_chflags.patch:
  Bug fix revbump for #129720.

*portage-2.1_pre8-r4 (14 Apr 2006)

  14 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre8-r4.ebuild,
  +files/2.1/pre8/1080_r3142_bug_129839_digestcheck.patch:
  Bug fix revbump for #129839.

*portage-2.1_pre8-r3 (13 Apr 2006)

  13 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre8-r3.ebuild,
  +files/2.1/pre8/1070_r3136_bug_129737_digest.patch:
  Bug fix revbump for #129737.

*portage-2.1_pre8-r2 (12 Apr 2006)

  12 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre8-r2.ebuild,
  +files/2.1/pre8/1050_r3133_lazy_items.patch,
  +files/2.1/pre8/1060_r3134_porttrees_realpath.patch:
  Regression fix revbump.

*portage-2.1_pre8-r1 (11 Apr 2006)

  11 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre8-r1.ebuild,
  +files/2.1/pre8/1000_r3120_fetchlist_dict.patch,
  +files/2.1/pre8/1010_r3123_manifest2_fixes.patch,
  +files/2.1/pre8/1020_r3118_bug_121368.patch,
  +files/2.1/pre8/1030_r3128_bug_129559_qmerge.patch,
  +files/2.1/pre8/1040_r3126_bug_129244_ebuild_phase.patch,
  +files/2.1/pre8/1050_r3131_lazy_databases.patch:
  2.1_pre8-r1 bug fix revbump. This is in package.mask because the new
  Manifest2 support (see GLEP 44) needs testing.  Gentoo devs, please limit the
  number of repoman commits with Manifest2 while we test this.

*portage-2.1_pre7-r5 (09 Apr 2006)

  09 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre7-r5.ebuild,
  +files/2.1_pre7/1110_r3096_emerge_args_validation.patch,
  +files/2.1_pre7/1120_r3094_bug_129193.patch,
  +files/2.1_pre7/1130_r3087_bug_129098.patch,
  +files/2.1_pre7/1140_r3077_noclean.patch,
  +files/2.1_pre7/1150_r3082_bug_117713.patch,
  +files/2.1_pre7/1160_r3083_bug_126801.patch,
  +files/2.1_pre7/1170_r3084_bug_128362.patch:
  Bug fixes for #129098, #117713, #129193, #126801, #128362 and more.

  08 Apr 2006; <zmedico@gentoo.org> -portage-2.1_pre8.ebuild:
  Withdrawing 2.1_pre8 due to bug #128946.

*portage-2.1_pre8 (08 Apr 2006)

  08 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre8.ebuild:
  Bug fix release for 2.1.  Includes Manifest2 support.

*portage-2.1_pre7-r4 (03 Apr 2006)

  03 Apr 2006; <zmedico@gentoo.org> +portage-2.1_pre7-r4.ebuild,
  +files/2.1_pre7/1090_r3055_bug_128284_get_open_fds.patch,
  +files/2.1_pre7/1100_r3063_bug_128506_distdir_error.patch:
  Bug fixes for #128284 and #128506.

  31 Mar 2006; Zac Medico <zmedico@gentoo.org> portage-2.1_pre7-r3.ebuild:
  Make sandbox dependency conditional on elibc_glibc or elibc_uclibc as
  suggested by Flameeyes.

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org>
  portage-2.1_pre7-r3.ebuild:
  Add ~x86-fbsd keyword.

*portage-2.1_pre7-r3 (30 Mar 2006)

  30 Mar 2006; <zmedico@gentoo.org> +portage-2.1_pre7-r3.ebuild,
  +files/2.1_pre7/1060_r3034_bug_127897_realpath.patch,
  +files/2.1_pre7/1070_r3036_bug_127930_unpack_timestamp.patch,
  +files/2.1_pre7/1080_ensure_dirs.patch:
  Regression fixes for bug #127897 and bug #127930.  Also fixes cvs-src
  permission messages reported by marienz.

*portage-2.1_pre7-r2 (27 Mar 2006)

  27 Mar 2006; <zmedico@gentoo.org> +portage-2.1_pre7-r2.ebuild,
  +files/2.1_pre7/1050_forum_3210399_empty_digest.patch:
  Regression fix for creation of an empty digest file when SRC_URI is empty.

*portage-2.1_pre7-r1 (26 Mar 2006)

  26 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre7-r1.ebuild,
  +files/2.1_pre7/1020_r3006_bug_127573_cachedir.patch,
  +files/2.1_pre7/1030_r3009_bug_127563_ccache_stat.patch,
  +files/2.1_pre7/1040_r3015_user_fetch.patch:
  Regression fixes for bug #127563, bug #127573, and fetch permission for
  users in the portage group (reported by truedfx).

*portage-2.1_pre7 (25 Mar 2006)

  25 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre7.ebuild,
  +files/2.1_pre7/1000_r2994_workdir_mode.patch,
  +files/2.1_pre7/1010_r3004_lazy_virtuals.patch:
  Bug fix release for 2.1.

*portage-2.1_pre6-r7 (25 Mar 2006)

  25 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r7.ebuild,
  +files/2.1_pre6/1170_r2986_bug_127374_selinux_labels.patch:
  Regression fix for bug #127374 and improved package phase efficiency.

*portage-2.1_pre6-r6 (23 Mar 2006)

  23 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r6.ebuild,
  +files/2.1_pre6/1150_r2974_bug_126442.patch,
  +files/2.1_pre6/1160_r2979_python_trace.patch:
  Regression fixes for bug #126442 and new python-trace feature for --debug
  mode.

  22 Mar 2006; Zac Medico <zmedico@gentoo.org> portage-2.1_pre6-r5.ebuild:
  Respect LDFLAGS when compiling tbz2tool.  Thanks to Flameeyes for reporting.

*portage-2.1_pre6-r5 (20 Mar 2006)

  20 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r5.ebuild,
  +files/2.1_pre6/1140_r2963_bug_126711_sandbox.patch:
  Regression fix to restore sandbox functionality which was disabled by the
  patch for bug #126711.

*portage-2.1_pre6-r4 (19 Mar 2006)

  19 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r4.ebuild,
  +files/2.1_pre6/1110_r2947_bug_126711_selinux_context.patch
  +files/2.1_pre6/1120_r2952_bug_126756_nocolor_ebuild.patch
  +files/2.1_pre6/1130_r2942_inst_uid_gid_defaults.patch
  Regression fixes for bug #126711 and problems with dobin when make.globals
  is not updated properly.  New NOCOLOR support in ebuilds for bug #126756.

*portage-2.1_pre6-r3 (14 Mar 2006)

  14 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r3.ebuild,
  +files/2.1_pre6/1090_r2892_bug_126111_global_updates_stdout.patch,
  +files/2.1_pre6/1100_r2890_bug_126120_applied_useflags.patch:
  Revision bump for small bug fixes, including bugs #125942 and #126111.

*portage-2.1_pre6-r2 (12 Mar 2006)

  12 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r2.ebuild,
  +files/2.1_pre6/1070_r2864_bug_125993_mergelist_keyerror.patch,
  +files/2.1_pre6/1080_r2865_bug_125942_postinst_env.patch:
  Regression fixes for bug #125993 and bug #125942.

*portage-2.1_pre6-r1 (12 Mar 2006)

  12 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6-r1.ebuild,
  +files/2.1_pre6/1010_r2854_obey_keeptemp.patch,
  +files/2.1_pre6/1020_r2857_bug_54040_resume_tree.patch,
  +files/2.1_pre6/1030_r2860_exec_stack_no_ppc64.patch,
  +files/2.1_pre6/1040_r2861_cache_cleanse.patch,
  +files/2.1_pre6/1050_r2862_ebuild_unmerge.patch,
  +files/2.1_pre6/1060_r2863_bug_125919_find_compat.patch:
  Revision bump for small bug fixes, including #54040 and #125919.  Also fixes
  bugs reported in #gentoo-portage by kosmikus and phreak.

*portage-2.1_pre6 (11 Mar 2006)

  11 Mar 2006; Zac Medico <zmedico@gentoo.org> +portage-2.1_pre6.ebuild,
  +files/2.1_pre6, +files/2.1_pre6/1000-r2849-quiet-spinner.patch:
  Bug fix release for 2.1.

  05 Mar 2006; Zac Medico <zmedico@gentoo.org> portage-2.1_pre5-r4.ebuild:
  Readded keywords for ~mips and ~s390 since both have pycrypto in ~arch for
  bug #120716.

*portage-2.1_pre5-r4 (04 Mar 2006)

  04 Mar 2006; Zac Medico <zmedico@gentoo.org>
  +portage-2.1_pre5-r4.ebuild, +files/2.1_pre5,
  +files/2.1_pre5/1000_r2763_fixpackages_features.patch,
  +files/2.1_pre5/1010_r2764_emergelog_genlop.patch,
  +files/2.1_pre5/1020_r2800_bug_124203_clean_phase_sanity.patch,
  +files/2.1_pre5/1030_r2790_bug_124140_portage_locks_hardlink.patch,
  +files/2.1_pre5/1040_r2804_bug_124568_dobin_wheel.patch,
  +files/2.1_pre5/1050_r2805_bug_124621_webrsync_niceness.patch,
  +files/2.1_pre5/1060_r2812_bug_124471_worldfile_ROOT.patch,
  +files/2.1_pre5/version_bump_2.1_pre5-r4.patch:
  Regression fix for bug #124471 world file corruption when ROOT != /.
  All regression fixes for 2.1_pre5 are now split into separate patches.

*portage-2.1_pre5-r3 (03 Mar 2006)

  03 Mar 2006; Zac Medico <zmedico@gentoo.org>
  +portage-2.1_pre5-r3.ebuild:
  Regression fix for emerge-webrsync.  See bug #124621.

*portage-2.1_pre5-r2 (01 Mar 2006)

  01 Mar 2006; Zac Medico <zmedico@gentoo.org>
  +portage-2.1_pre5-r2.ebuild:
  Regression fix for bug #124568 problem with wheel group in dobin and dosbin
  for *bsd and darwin.  A fix is also included for bug #124203 clean phase
  misbehavior on upgrade from portage-2.0.x.

  27 Feb 2006; Zac Medico <zmedico@gentoo.org>
  portage-2.0.53.ebuild, portage-2.0.54.ebuild:
  Bump dependencies to >=dev-lang/python-2.3 due to usage of the enumerate
  function.  See bug #124302.

  26 Feb 2006; Zac Medico <zmedico@gentoo.org>
  files/2.1_pre5-r1.patch:
  Bump 2.1_pre5 to 2.1_pre5-r1 in portage.py.

*portage-2.1_pre5-r1 (26 Feb 2006)

  26 Feb 2006; Zac Medico <zmedico@gentoo.org>
  +portage-2.1_pre5-r1.ebuild:
  Regression fix for bug #124140 'Bad file descriptor' error when hardlink
  file locking is used.

*portage-2.1_pre5 (25 Feb 2006)

  25 Feb 2006; Zac Medico <zmedico@gentoo.org>
  +portage-2.1_pre5.ebuild:
  Bug fix release for 2.1.

  19 Feb 2006; Joshua Kinard <kumba@gentoo.org> portage-2.0.54.ebuild:
  Marked stable on mips.

  19 Feb 2006; Marius Mauch <genone@gentoo.org> files/README.RESCUE:
  Update the horribly out of date README.RESCUE with a link to
  proj/en/portage/doc/manually-fixing-portage.xml.

  07 Feb 2006; Aron Griffis <agriffis@gentoo.org> portage-2.0.54.ebuild:
  Mark 2.0.54 stable on ia64

  03 Feb 2006; Markus Rothe <corsair@gentoo.org> portage-2.1_pre4-r1.ebuild:
  Added ~ppc64; bug #120716

  02 Feb 2006; Marius Mauch <genone@gentoo.org> portage-2.1_pre4-r1.ebuild:
  Bump pycrpyto dep for ia64 (bug #121182)..

  29 Jan 2006; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.1_pre4-r1.ebuild:
  Regression fix for ebuilds that use or deps without a default atom.
  Also specifying version on pycrypto due to amd64 issues.

  28 Jan 2006; Jason Stubbs <jstubbs@gentoo.org>
  Add pycrypto dependency to 2.1_pre4.

*portage-2.1_pre4 (28 Jan 2006)

  28 Jan 2006; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.1_pre4.ebuild:
  Bug fix release for 2.1.

  23 Jan 2006; Jeroen Roovers <jer@gentoo.org> portage-2.0.54.ebuild:
  Stable on hppa (bug #108262).

  22 Jan 2006; Bryan Østergaard <kloeri@gentoo.org portage-2.0.54.ebuild:
  Stable on alpha.

  21 Jan 2006; Michael Hanselmann <hansmi@gentoo.org> portage-2.0.54.ebuild:
  Stable on ppc.

  20 Jan 2006; Luis Medinas <metalgod@gentoo.org> portage-2.0.54.ebuild:
  Stable on amd64. See bug #108262.

  20 Jan 2006; Markus Rothe <corsair@gentoo.org> portage-2.0.54.ebuild:
  Stable on ppc64; bug #108262

  20 Jan 2006; Chris Gianelloni <wolf31o2@gentoo.org> portage-2.0.54.ebuild:
  Marking stable on x86 wrt bug #108262.

  20 Jan 2006; Gustavo Zacarias <gustavoz@gentoo.org> portage-2.0.54.ebuild:
  Stable on sparc wrt #108262

  20 Jan 2006; Jason Stubbs <jstubbs@gentoo.org>
  portage-2.0.53.ebuild, portage-2.0.54.ebuild, portage-2.1_pre3.ebuild:
  Moving portage-manpages dependency from PDEPEND to RDEPEND as there's no
  specific need for it to be installed after portage and is triggering a
  long-standing bug.

  01 Jan 2006; Jason Stubbs <jstubbs@gentoo.org>
  portage-2.1_pre3-r1.ebuild:
  Interim fix for xterm titles leaking to the terminal.

  31 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  portage-2.0.51.22-r3.ebuild, portage-2.0.53.ebuild, portage-2.0.54.ebuild,
  portage-2.1_pre3.ebuild:
  Pull in portage-manpages automagically via USE=doc.

*portage-2.1_pre3 (31 Dec 2005)

  31 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.1_pre3.ebuild:
  Bug fix release for 2.1.

*portage-2.0.54 (31 Dec 2005)

  31 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.0.54.ebuild:
  Maintenance release for 2.0.

  27 Dec 2005; Jason Stubbs <jstubbs@gentoo.org> 
  portage-2.1_pre2.ebuild:
  Updated python dependency to 2.3 as python 2.2 can no longer cut it.

  26 Dec 2005; Jose Luis Rivero <yoswink@gentoo.org> portage-2.0.53.ebuild:
  Stable on alpha wrt #108082

*portage-2.1_pre2 (25 Dec 2005)

  25 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.1_pre2.ebuild:
  Second release of subversion trunk.

  24 Dec 2005; Michael Hanselmann <hansmi@gentoo.org> portage-2.0.53.ebuild:
  Stable on ppc.

  22 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org> portage-2.0.53.ebuild:
  Stable on sparc wrt #108082

  21 Dec 2005; Luis Medinas <metalgod@gentoo.org> portage-2.0.53.ebuild:
  Stable on amd64. See bug #108082.

  21 Dec 2005; Markus Rothe <corsair@gentoo.org> portage-2.0.53.ebuild:
  Stable on ppc64

  21 Dec 2005; Petteri Räty <betelgeuse@gentoo.org> portage-2.0.53.ebuild:
  Marked stable on x86 for bug #108082.

  18 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  portage-2.1_pre1.ebuild:
  Add a notice informing of the cache format change and to `emerge
  metadata` before using emerge.

  17 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  portage-2.1_pre1.ebuild:
  Add a warning with regard to custom cache modules.

  17 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  portage-2.1_pre1.ebuild:
  cache -> pym/cache typo.

  17 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  portage-2.1_pre1.ebuild:
  Add pym/cache and pym/elog_modules to those that get installed.

*portage-2.1_pre1 (17 Dec 2005)

  17 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.1_pre1.ebuild:
  Beginning of regular releases of subversion trunk until it's feature set
  stables.

  02 Dec 2005; Ciaran McCreesh <ciaranm@gentoo.org>
  portage-2.0.51.22-r3.ebuild:
  Make sandbox dep !mips? in stable Portage for now.

*portage-2.0.53 (01 Dec 2005)

  01 Dec 2005; Jason Stubbs <jstubbs@gentoo.org>
  +portage-2.0.53.ebuild
  2.0.53 final release. Yay! :)

  03 Oct 2005; Aron Griffis <agriffis@gentoo.org>
  portage-2.1.0_alpha20050718.ebuild:
  Mark 2.1.0_alpha20050718 ~ia64

  17 Aug 2005; Aaron Walker <ka0ttic@gentoo.org>
  portage-2.1.0_alpha20050718.ebuild:
  Marked ~mips.
